#pragma once

#include "CoreMinimal.h"
#include "GameplayTagContainer.h"
#include "AnimNotifySpawnEffectInfo.generated.h"

class UNiagaraSystem;

USTRUCT(BlueprintType)
struct FAnimNotifySpawnEffectInfo
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	FGameplayTag Tag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UNiagaraSystem* EffectClass;

public:
	DEADBYDAYLIGHT_API FAnimNotifySpawnEffectInfo();
};

FORCEINLINE uint32 GetTypeHash(const FAnimNotifySpawnEffectInfo) { return 0; }
